Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2020-28493: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2020-28493: SUSE Linux Security Advisory

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
02/01/2021
Created
03/02/2021
Added
02/26/2021
Modified
07/16/2021

Description

This affects the package jinja2 from 0.0.0 and before 2.11.3. The ReDoS vulnerability is mainly due to the `_punctuation_re regex` operator and its use of multiple wildcards. The last wildcard is the most exploitable as it searches for trailing punctuation. This issue can be mitigated by Markdown to format user content instead of the urlize filter, or by implementing request timeouts and limiting process memory.

Solution(s)

  • suse-upgrade-python-jinja2
  • suse-upgrade-python2-jinja2
  • suse-upgrade-python3-jinja2

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;